Bug 505787 - DisplayPort not working
DisplayPort not working
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 16:29 EDT by Martin Ebourne
Modified: 2013-04-02 00:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-06 17:05:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log from failed DisplayPort boot (28.20 KB, text/plain)
2009-06-13 16:29 EDT, Martin Ebourne
no flags Details
dmesg log from displayport (41.05 KB, text/plain)
2009-06-13 16:29 EDT, Martin Ebourne
no flags Details
Xorg.log from successful DVI boot (54.82 KB, text/plain)
2009-06-13 16:36 EDT, Martin Ebourne
no flags Details

  None (edit)
Description Martin Ebourne 2009-06-13 16:29:11 EDT
Created attachment 347765 [details]
Xorg.0.log from failed DisplayPort boot

Description of problem:
On board Intel graphics works with VGA but not with DisplayPort.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Boot with HDMI cable plugged into DisplayPort using supplied adaptor
  
Actual results:
Blank screen

Expected results:
X should start normally

Additional info:
Comment 1 Martin Ebourne 2009-06-13 16:29:50 EDT
Created attachment 347766 [details]
dmesg log from displayport
Comment 2 Martin Ebourne 2009-06-13 16:36:59 EDT
Created attachment 347769 [details]
Xorg.log from successful DVI boot

VGA and DVI both work, DVI log here, don't have VGA to hand.
Comment 4 Matěj Cepl 2009-11-05 13:31:45 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Adam Jackson 2009-11-06 17:05:01 EST
This is working on my Thinkpad X200 in F12.  Please reopen if it doesn't work for you.

Note You need to log in before you can comment on or make changes to this bug.